import 'package:flutter/material.dart';
import 'package:design_system/design_system.dart';
import 'package:staff_authentication/staff_authentication.dart';

/// A widget that displays the welcome text and description on the Get Started page.
class GetStartedHeader extends StatelessWidget {
  /// Creates a [GetStartedHeader].
  const GetStartedHeader({super.key});

  @override
  Widget build(BuildContext context) {
    final TranslationsStaffAuthenticationGetStartedPageEn i18n =
        t.staff_authentication.get_started_page;

    return Column(
      crossAxisAlignment: CrossAxisAlignment.stretch,
      children: <Widget>[
        RichText(
          textAlign: TextAlign.center,
          text: TextSpan(
            style: UiTypography.displayM,
            children: <InlineSpan>[
              TextSpan(
                text: i18n.title_part1,
              ),
              TextSpan(
                text: i18n.title_part2,
                style: UiTypography.displayMb.textLink,
              ),
            ],
          ),
        ),
        const SizedBox(height: 16),
        Text(
          i18n.subtitle,
          textAlign: TextAlign.center,
          style: UiTypography.body1r.textSecondary,
        ),
      ],
    );
  }
}